- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Data Structures | Namespaces | Typedefs | Functions
graphics.h File Reference
`#include <af/defines.h>`
`#include <af/array.h>`

Go to the source code of this file.

## Data Structures
struct | af_cell
class | Window
| Window object to render af::arrays. More...

## Namespaces
| af

## Typedefs
typedef unsigned long long | af_window

## Functions
AFAPI af_err | af_create_window (af_window *out, const int width, const int height, const char *const title)
| C Interface wrapper for creating a window. More...
AFAPI af_err | af_set_position (const af_window wind, const unsigned x, const unsigned y)
| C Interface wrapper for setting the start position when window is displayed. More...
AFAPI af_err | af_set_title (const af_window wind, const char *const title)
| C Interface wrapper for setting window title. More...
AFAPI af_err | af_set_size (const af_window wind, const unsigned w, const unsigned h)
| C Interface wrapper for setting window position. More...
AFAPI af_err | af_draw_image (const af_window wind, const af_array in, const af_cell *const props)
| C Interface wrapper for drawing an array as an image. More...
AFAPI af_err | af_draw_plot (const af_window wind, const af_array X, const af_array Y, const af_cell *const props)
| C Interface wrapper for drawing an array as a plot. More...
AFAPI af_err | af_draw_hist (const af_window wind, const af_array X, const double minval, const double maxval, const af_cell *const props)
| C Interface wrapper for drawing an array as a histogram. More...
AFAPI af_err | af_grid (const af_window wind, const int rows, const int cols)
| C Interface wrapper for grid setup in a window. More...
AFAPI af_err | af_show (const af_window wind)
| C Interface wrapper for showing a window. More...
AFAPI af_err | af_is_window_closed (bool *out, const af_window wind)
| C Interface wrapper for checking if window is marked for close. More...
AFAPI af_err | af_destroy_window (const af_window wind)
| C Interface wrapper for destroying a window handle. More...

## Typedef Documentation

typedef unsigned long long af_window

## Function Documentation

AFAPI af_err af_create_window | ( | af_window * | out,
|  | const int | width,
|  | const int | height,
|  | const char *const | title
| ) |  |

C Interface wrapper for creating a window.

Parameters

  [out] | out | is the handle to the created window
  [in] | width | is the width of the window that will be created
  [in] | height | is the height of the window that will be created
  [in] | title | is the window title

Returns
  AF_SUCCESS if window creation is successful, otherwise an appropriate error code is returned.